locked
Is there any problem when I install Web Tools 2013.1 for Visual Studio 2012 if I have MVC 3 already? RRS feed

  • Question

  • I have Visual Studio Ultimate 2012 and Windows 8.1 64 bit on my laptop. I found out that there is MVC 3 in Programs and features. I am not sure that it will cause any problem if I install Web Tools 2013.1 which has ASP.NET MVC 5. Do I still need to install NuGet package since Entity Framework 6 is in Web Tools 2013.1. I would appreciate if someone can help me out.


    cy

    • Moved by Carl Cai Monday, September 1, 2014 2:09 AM (from Visual Studio Debug)more related
    Saturday, August 30, 2014 2:50 AM

Answers

  • Hi ChingH,

    Maybe you could share me the real issue now, or you could share me what you want to install in your side, you could share me the detailed steps, I will help you test it in my side before you test it.

    As far as I know, no update 3 in official document now. For example:

    Like this document which has the link for VS2012 update 3 download, but if you really open it, you would get the VS2012 update 4:

    http://www.microsoft.com/en-us/download/details.aspx?id=39305

    As far as I know, the VS2012 update 4 is the latest update package, it has all features of previous update package like update 2/3. Of course, it also resolved some feedbacks of previous package/ VS 2012 IDE. So if possible, please install the VS2013 update 4.

    I have a VS2012 machine without any update, it still has the NuGet package in default.

    In addition, I could get all web project templates like the following screen shot in my VS2012 with update 4.

    I will install the Web Tools 2013.1 in this update 4 machine.

    http://www.microsoft.com/en-us/download/details.aspx?id=41532

    I will update my reply later.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    Tuesday, September 2, 2014 6:59 AM
  • update:

    After I install the AspNetWebTools2013_1Setup.exe and WebToolsExtensionsVS.msi in my VS2012 (with update 4).

    http://www.microsoft.com/en-us/download/details.aspx?id=41532

    I get the result like the following screen shot.

    It seems that it would update the previous web tool.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    Tuesday, September 2, 2014 7:15 AM
  • Hi ChingH,

    >>Thank you for your explanation. It is very clear that I have to install Visual Studio 2012 update 4 first then I can install ASP.Net and Web Tools 2013.1.

    Glad to know that my replies are help for you, if so, would you please mark the useful replies as the answers?

    >>How about Windows 8.1 SDK. Should I install Windows 8.1 SDK prior to Visual Studio update 4?

    For this issue, I did some research about it:

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/157b3df6-1cee-494c-a465-dce5b968ca5a/can-i-use-windows-81-sdk-to-build-windows-81-apps-using-vs-2012-?forum=winappswithcsharp

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/c2c7e2bc-b5c2-4e5b-86b5-bb613468bea7/use-windows-81-sdk-with-vs-2012-update-3?forum=w81prevtools

    http://msdn.microsoft.com/en-us/library/windows/desktop/bg162891.aspx

    It seems that 8.1 is used for VS2013 for windows store apps in windows 8.1, as my understanding, you want to develop the windows store app in your VS2012, am I right? Maybe you could get useful information from the above threads.

    But if you really want to know the real requirements for developing Windows Store apps, maybe you could post a new issue to this forum:

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/home?forum=toolsforwinapps , and there you would get dedicated support.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    • Marked as answer by ChingH Wednesday, September 3, 2014 2:54 PM
    Wednesday, September 3, 2014 3:02 AM

All replies

  • I have Visual Studio Ultimate 2012 and Windows 8.1 64 bit on my laptop. I found out that there is MVC 3 in Programs and features. I am not sure that it will cause any problem if I install Web Tools 2013.1 which has ASP.NET MVC 5. Do I still need to install NuGet package since Entity Framework 6 is in Web Tools 2013.1. I would appreciate if someone can help me out.


    cy

    Sorry for the confusion about the second part. What I meant was whether I need to install NuGet if I want to use Bootstrap. Thanks.


    cy

    Saturday, August 30, 2014 5:53 AM
  • I have Visual Studio Ultimate 2012 and Windows 8.1 64 bit on my laptop. I found out that there is MVC 3 in Programs and features. I am not sure that it will cause any problem if I install Web Tools 2013.1 which has ASP.NET MVC 5. Do I still need to install NuGet package since Entity Framework 6 is in Web Tools 2013.1. I would appreciate if someone can help me out.


    cy

    Sorry for the confusion about the second part. What I meant was whether I need to install NuGet if I want to use Bootstrap. Thanks.


    cy

    OK. I read the answers from another thread http://stackoverflow.com/questions/19102831/how-to-install-asp-net-mvc-5-in-visual-studio-2012 and http://httpjunkie.com/2013/340/develop-mvc-5-with-asp-net-identity-in-visual-studio-2012/ but I am still not sure what I should do.

    This is what I have vs2012 ultimate and mvc 3.

    I would like to have 1. MVC 5 2. Bootstrap 3. Entity Framework 6 plus identity code, identity EntityFramework and Identity Owin. What is the right way to get what I want? Thanks.


    cy

    Saturday, August 30, 2014 3:42 PM
  • Hi cy,

    I have helped you move this thread to Visual Studio General Questions forum to get better supports.

    Regards.

    Carl


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Monday, September 1, 2014 2:11 AM
  • Hi ChingH,

    >>I found out that there is MVC 3 in Programs and features. I am not sure that it will cause any problem if I install Web Tools 2013.

    As my understanding, it would not impact your VS IDE. So if possible, you could install the web tool 2013 in your side.

    http://blogs.msdn.com/b/webdev/archive/2013/11/18/announcing-release-of-asp-net-and-web-tools-2013-1-for-visual-studio-2012.aspx

    >>Do I still need to install NuGet package since Entity Framework 6 is in Web Tools 2013.

    If possible, please open your VS IDE->Help menu->About Microsoft Visual Studio, and then you would get all installed products, as far as I know, it has the NuGet package in default.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    Monday, September 1, 2014 11:17 AM
  • Hi Jack,

    Thank you for your reply. I looked at the screenshot you sent me. Apparently, the version of your VS2012 is different from what I have, your one is Version 11.0.61030.00 update 4. I spent 2 days to install SQL server 2012. I installed twice and uninstalled once. I just hope I can save some time when I install these libraries. As I read another thread, should I install Windows 8.1 SDK then Visual Studio 2012 update 4 (In the details of this update, it says it will be used for VS team foundation server 2012, VS team foundation server express 2012 and it doesn't say this update is used for vs2012 ultimate. And also, there is another thread http://forums.asp.net/t/1951627.aspx?Why+does+VS+2012+Update+4+run+but+not+show+in+the+Help+About+dialog+. I am not sure whether I should install Visual Studio update 3 first.) then ASP.NET and Web Tools 2013.1 for Visual Studio 2012. Please kindly help. Thanks.

    cy


    cy

    Tuesday, September 2, 2014 1:33 AM
  • Hi ChingH,

    Maybe you could share me the real issue now, or you could share me what you want to install in your side, you could share me the detailed steps, I will help you test it in my side before you test it.

    As far as I know, no update 3 in official document now. For example:

    Like this document which has the link for VS2012 update 3 download, but if you really open it, you would get the VS2012 update 4:

    http://www.microsoft.com/en-us/download/details.aspx?id=39305

    As far as I know, the VS2012 update 4 is the latest update package, it has all features of previous update package like update 2/3. Of course, it also resolved some feedbacks of previous package/ VS 2012 IDE. So if possible, please install the VS2013 update 4.

    I have a VS2012 machine without any update, it still has the NuGet package in default.

    In addition, I could get all web project templates like the following screen shot in my VS2012 with update 4.

    I will install the Web Tools 2013.1 in this update 4 machine.

    http://www.microsoft.com/en-us/download/details.aspx?id=41532

    I will update my reply later.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    Tuesday, September 2, 2014 6:59 AM
  • update:

    After I install the AspNetWebTools2013_1Setup.exe and WebToolsExtensionsVS.msi in my VS2012 (with update 4).

    http://www.microsoft.com/en-us/download/details.aspx?id=41532

    I get the result like the following screen shot.

    It seems that it would update the previous web tool.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    Tuesday, September 2, 2014 7:15 AM
  • Hi Jack,

    Thank you for your explanation. It is very clear that I have to install Visual Studio 2012 update 4 first then I can install ASP.Net and Web Tools 2013.1. How about Windows 8.1 SDK. Should I install Windows 8.1 SDK prior to Visual Studio update 4? Thanks.

    cy


    cy

    Tuesday, September 2, 2014 10:53 PM
  • Hi ChingH,

    >>Thank you for your explanation. It is very clear that I have to install Visual Studio 2012 update 4 first then I can install ASP.Net and Web Tools 2013.1.

    Glad to know that my replies are help for you, if so, would you please mark the useful replies as the answers?

    >>How about Windows 8.1 SDK. Should I install Windows 8.1 SDK prior to Visual Studio update 4?

    For this issue, I did some research about it:

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/157b3df6-1cee-494c-a465-dce5b968ca5a/can-i-use-windows-81-sdk-to-build-windows-81-apps-using-vs-2012-?forum=winappswithcsharp

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/c2c7e2bc-b5c2-4e5b-86b5-bb613468bea7/use-windows-81-sdk-with-vs-2012-update-3?forum=w81prevtools

    http://msdn.microsoft.com/en-us/library/windows/desktop/bg162891.aspx

    It seems that 8.1 is used for VS2013 for windows store apps in windows 8.1, as my understanding, you want to develop the windows store app in your VS2012, am I right? Maybe you could get useful information from the above threads.

    But if you really want to know the real requirements for developing Windows Store apps, maybe you could post a new issue to this forum:

    http://social.msdn.microsoft.com/Forums/windowsapps/en-US/home?forum=toolsforwinapps , and there you would get dedicated support.

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    • Marked as answer by ChingH Wednesday, September 3, 2014 2:54 PM
    Wednesday, September 3, 2014 3:02 AM